# xbackcalc
## Preparation

### 1. Create group

`sudo groupadd brightness`

### 2. Add user to group

`sudo usermod --append --groups video $USER`

### 3. Add new udev rules

Create file `/etc/udev/rules.d/90-backlight.rules` and add the following two lines:
   
```
ACTION=="add", SUBSYSTEM=="backlight", RUN+="/bin/chgrp brightness /sys/class/backlight/%k/brightness"
ACTION=="add", SUBSYSTEM=="backlight", RUN+="/bin/chmod g+w /sys/class/backlight/%k/brightness"
```

### 4. Apply new udev rules

`sudo udevadm control --reload && sudo udevadm trigger --action=add --subsystem-match=backlight`

## Examples

```
xbackcalc 10
xbackcalc 1180
xbackcalc current + 50
xbackcalc current - 50
xbackcalc current / 2
xbackcalc current \* 1.1
xbackcalc current \* 0.9 + 10
```